@rem 
@rem .bat file used to invoke the Example MQBridge server
@rem An MQe server which uses the MQBridge to allow 
@rem messages to pass from MQe to MQ and vice-versa.
@rem 
@rem Syntax : 
@rem ExamplesAwtMQBridgeServer.bat <environment>
@rem 
@rem Parameters :
@rem <environment>
@rem     Indicates which JDK is being used.
@rem     SUN (Sun JDK) 
@rem     JB (Borland JBuilder) 
@rem     MS (Microsoft)
@rem     IBM (IBM JDK)

@if .%1 == .IBM GOTO ParamsOk
@if .%1 == .SUN GOTO ParamsOk
@if .%1 == .JB  GOTO ParamsOk
@if .%1 == .MS  GOTO ParamsOk

@echo Error: Need to specify parameter of SUN JB MS or IBM to indicate
@echo which environment you are using.
@goto End
         
:ParamsOk

@rem Don't allow any environment changes in this .bat
@rem file to effect the caller's environment.
@setlocal

@rem Set up the environment for the MQe server
@call JavaEnv %1

@rem Invoke the MQe example MQBridge server
%JavaCmd% ^
-D"examples.awt.Information=false" ^
-D"examples.awt.Warning=true" ^
-D"examples.awt.Error=true" ^
-D"examples.awt.Security=false" ^
-D"examples.awt.Debug=false" ^
-D"examples.awt.System=true" ^
-D"examples.awt.Timestamp=false" ^
-D"examples.awt.Objects=false" ^
-D"examples.awt.Threads=false" ^
-D"examples.awt.Exceptions=false" ^
-D"examples.awt.CallStack=false" ^
-D"examples.awt.MQTrace=false" ^
-D"examples.awt.Options=true" ^
-D"examples.awt.SystemOut=true" ^
-D"examples.awt.SystemErr=false" ^
-D"examples.awt.Trap=true" ^
-D"examples.awt.ToFile=false" ^
-D"examples.awt.ToFileName=trace" ^
examples.mqbridge.awt.AwtMQBridgeServer .\ExamplesAwtMQBridgeServer.ini

@rem undo any changes since the 'setlocal' call at the top
@rem of this .bat file.
@endlocal

:end
