@REM Run the example MQe server
@REM
@REM This batch file invokes the java class that provides a server environment
@REM for a queue manager to run in. The server allows multiple other queue
@REM managers (Client or server) to concurrently connect to it. Any standard
@REM output and error will be directed to the default for the java environment
@REM that is used.
@REM
@REM Parameters are required for configuring the server and starting a
@REM queue manager. The examples shipped with MQSeries Everyplace use ini
@REM files to hold the parameters. By default .\ExamplesMQeServer.ini startup
@REM parameters file is used by this batch file.
@REM
@REM Note: Before the server can be successfully started, the queue manager
@REM that is to run in the server must have been created.
@REM
@REM Parameters
@REM   %1  java environment name (see JavaEnv.bat file for details)

   @SETLOCAL

   call JavaEnv %1

   %JavaCmd%  examples.queuemanager.MQeServer .\ExamplesMQeServer.ini

   @ENDLOCAL
