// Version 1.2 mqe_java/source/examples/mqbridge/administration/programming/MQeClock.java, MQeExamples, la200, la200-L030324.1

/*------------------------------------------------------------------------------*
 *                    WebSphere MQ Everyplace for Multiplatforms                *
 *                                                                              *
 * Licensed Materials - Property of IBM                                         *
 *                                                                              *
 * 5765-E63                                                                     *
 *                                                                              *
 * (C) Copyright IBM Corp. 2002                                                 *
 *------------------------------------------------------------------------------*/

package examples.mqbridge.administration.programming;


import java.util.*;
import java.text.*;


/**
 * A class which provides customised time-functions.
 */
public class MQeClock {
    public static short[] version = { 2, 0, 0, 10 }; 

    /**
     * Constructor for MQeReadableTimeStamp.
     */
    public MQeClock() {
        super();
    }
	
    /**
     * Constructs a readable meaningful string based on the current time.
     */
    public static final String getReadableTimeStamp() {
        long timeStampMilliSecs = System.currentTimeMillis();
        Date myDate = new Date(timeStampMilliSecs);
        String readableTimeDate = DateFormat.getDateTimeInstance(DateFormat.MEDIUM, DateFormat.LONG).format(myDate);

        return readableTimeDate;
    }
}
