/*------------------------------------------------------------------------------*/

/*                    MQSeries Everyplace for Multiplatforms                    */

/*                                                                              */

/* Licensed Materials - Property of IBM                                         */

/*                                                                              */

/* 5765-E63                                                                     */

/*                                                                              */

/* (C) Copyright IBM Corp. 1999                                                 */

/*                                                                              */

/*------------------------------------------------------------------------------*/
package examples.mqbridge.awt;


import  examples.awt.*;
import  com.ibm.mqe.*;
import  examples.queuemanager.*;
import  examples.administration.console.*;
import  java.util.*;
import  java.io.*;
import  java.lang.reflect.*;
import  java.awt.Cursor;


/**
 * To provide a bridge-enabled server capability in a graphical user interface.
 *
 * @deprecated
 * <p>In v2.0 this is no longer relevent, given that the queue manager will load
 * bridge capability if the required pre-requisite software is available on the
 * classpath. Use examples.awt.AwtMQeServer instead of this class from now on.
 */
public class AwtMQBridgeServer {

    public static short  version[] = { 2, 0, 0, 10 };  // MQe version

    /**
     * Entry point when the program is called from the command line.
     *
     * <P>Syntax from the command line is:
     * <TT>java examples.awt.AwtMQeServer &lt;iniFileName&gt;</TT>
     */
    public static void main(String[] args) {
        try {
            AwtMQeServer server = new AwtMQeServer();

            if (args.length > 0) {
                server.openServer(args[0]);
            }

        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
