REM Create the example queue manager - ExampleQM
REM
REM This batch file invokes the java class that creates and populates a
REM registry for the example queue manager. The registry must be populated
REM before a Queue Manager can run. The queue manager created is determined
REM by entries in queue manager startup parameters. The examples shipped
REM with MQSeries Everyplace use ini files to hold the parameters. By default
REM .\ExamplesMQeServer.ini startup parameters file is used.
REM
REM Parameters
REM   %1  java environment name (see JavaEnv.bat file for details )

   @SETLOCAL

   call JavaEnv %1

   %JavaCmd% examples.install.SimpleCreateQM .\ExamplesMQeServer.ini  .\ExampleQM\Queues\

   @ENDLOCAL
