@Rem Run one of the MQe example applications.
@Rem Each of the examples start a queue manager in a client
@Rem environment and then demonstrate various features of
@Rem the queue manager.
@Rem
@Rem Parameters
@Rem   %1  java environment name (see JavaEnv.bat file for details )
@Rem   %2  which example from the examples.application package to run
@Rem       A number from 1 up to n with a default of 1
@Rem   %3  The name of the remote queue manager that the example should
@Rem       interact with.  Defaults to no remote queue manager i.e. all
@Rem       interaction is with the local queue manager.
@Rem   %4  An ini file containing startup parameters for the local
@Rem       queue manager. Defaults to .\ExamplesMQeClient.ini

   @SETLOCAL
   call JavaEnv %1

   @set appName=examples.application.Example
   @set appNo=1
   @set QMgrName=ExampleQM
   @set localQMgrIniFile=.\ExamplesMQeClient.ini

   @if not .%2==. set appNo=%2
   @if not .%3==. set QMgrName=%3
   @if not .%4==. set localQMgrIniFile=%4


   @set app=%appName%%appNo%

   %JavaCmd%  %app% %QMgrName% %localQMgrIniFile%

   @ENDLOCAL
