rem Version mqe_java/source/resources/Windows/GatewayQMDetails.bat, MQe, la200, la200-L030324.1 1.3
rem -------------------------------------------------------------------------
rem MQSeries Everyplace for Multiplatforms                
rem                                                                          
rem Licensed Materials - Property of IBM                                     
rem                                                                          
rem 5765-E63                                                                 
rem                                                                          
rem (C) Copyright IBM Corp. 2001                                             
rem 
rem -------------------------------------------------------------------------
rem Batch file to set up the gateway queue manager details up.

rem The number of the gateway
set GATEWAY_NUMBER=00

rem Make sure this holds the port number on which the gateway queue manager
rem will be listening for connections from the branches.
set GATEWAY_QMGR_PORT=8085

rem Make sure this holds the DNS name or the IP address of the gateway machine.
rem For example, if you are setting all queue managers up on this machine,
rem use 127.0.0.1 or localhost. Do not use this setting if any of your branch
rem queue managers will not be on the same machine as the gateway.
set GATEWAY_QMGR_ADDR=127.0.0.1

rem The name of the store-and-forward queue on the gateway which must
rem be known to the branch queue managers' home-server queues...
rem So they know where to get their messages from.                           
set GATEWAY_S_F_Q=ToBranchQ
                                               
rem Builds-up the name of the gateway queue manager. 
set GATEWAY_QMGR_NAME=GATEWAY%GATEWAY_NUMBER%QM

rem The type of adapter which the gateway is listening on.
set GATEWAY_LISTENING_ADAPTER=FastNetwork
