/*------------------------------------------------------------------------------*/

/*                    MQSeries Everyplace for Multiplatforms                    */ 

/*                                                                              */

/* Licensed Materials - Property of IBM                                         */

/*                                                                              */

/* 5765-E63                                                                     */

/*                                                                              */

/* (C) Copyright IBM Corp. 1999                                                 */

/*                                                                              */

/*------------------------------------------------------------------------------*/
package examples.mqbridge.administration.console;


import examples.administration.console.*;


/********************************************************************************
 *
 * A specialist form of an AdminModel. Holds mqbridge-specific information
 * to be shared between the AdminGateway frame, and all the bridge admin 
 * objects.
 *
 *******************************************************************************/
public class AdminBridgeModel extends AdminModel {

    public        static short    version[] = { 2, 0, 0, 10 }; 

    // Current values of the names of objects, as taken from the central panel
    // of the gateway admin frame.
    // These are set every time we run through the action method.
    // Used whenever the code wants the current name of an object to administer...
    public String bridgeName = "";
    public String clientConnectionName = "";
    public String proxyName = "";
    public String listenerName = "";
    public boolean affectChildren = false;
}
