// Version 1.3 mqe_java/source/examples/mqbridge/administration/programming/Reporter.java, MQeExamples, la200, la200-L030324.1

/*------------------------------------------------------------------------------*
 *                    WebSphere MQ Everyplace for Multiplatforms                *
 *                                                                              *
 * Licensed Materials - Property of IBM                                         *
 *                                                                              *
 * 5765-E63                                                                     *
 *                                                                              *
 * (C) Copyright IBM Corp. 2002                                                 *
 *------------------------------------------------------------------------------*/
package examples.mqbridge.administration.programming;


/**
 * Classes implementing this interface provide error logging and debugging services
 */
public interface Reporter {
    public static short[] version = { 2, 0, 0, 10 }; 	
    public void error(String text);	
    public void error(Throwable t);	
    public void warning(String text);
    public void debug(String text);
    public void comment(String text);
    public void exception(Throwable t);
    public void indent();
    public void outdent();
    public void enter(String text);
    public void exit(String text);
    public void exit(String text, Throwable t);
}
